<?xml version="1.0" encoding="utf-8"?>
<!-- The right region end int the same step start -->
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:background="@color/dk_bg"
    android:orientation="vertical" >

    <LinearLayout
        android:id="@+id/dk_layout_payment_notice"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="4dp"
        android:layout_marginLeft="8dp"
        android:layout_marginRight="8dp"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:visibility="gone" >

        <ImageView
            android:id="@+id/dk_iv_payment_notice"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_gravity="center_vertical"
            android:src="@drawable/dk_ic_announcement" />

        <com.duoku.platform.view.common.DKMarqueeTextView
            android:id="@+id/dk_tv_payment_notice"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="4dp"
            android:layout_marginRight="4dp"
            android:ellipsize="marquee"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:gravity="center_vertical"
            android:marqueeRepeatLimit="marquee_forever"
            android:scrollHorizontally="true"
            android:singleLine="true"
            android:text="@string/dk_payment_notice"
            android:textColor="@color/dk_color_ff3300"
            android:textSize="@dimen/text_size_12_sp" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/dk_payment_kubi_layout"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginLeft="7dp"
        android:layout_marginRight="7dp"
        android:layout_marginTop="6dp"
        android:orientation="horizontal"
        android:visibility="gone" >

        <LinearLayout
            android:id="@+id/dk_payment_kubi_check_layout"
            android:layout_width="40dp"
            android:layout_height="match_parent"
            android:background="@drawable/dk_payment_kubi_uncheck"
            android:gravity="center_vertical"
            android:orientation="horizontal" >

            <CheckBox
                android:id="@+id/dk_kubi_checkbox"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="12dp"
                android:button="@drawable/dk_payment_checkbox_bg_selector"
                android:clickable="false" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/dk_payment_kubi_value_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/dk_payment_method_uncheck"
            android:gravity="center_vertical" >

            <TextView
                android:id="@+id/dk_payment_kubi_value"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/text_size_14_dp"
                android:text="@string/dk_kubi_value_text"
                android:textColor="@color/dk_color_333333"
                android:textSize="@dimen/text_size_12_sp" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/dk_payment_cashcoupon_layout"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginLeft="7dp"
        android:layout_marginRight="7dp"
        android:layout_marginTop="6dp"
        android:orientation="horizontal"
        android:visibility="gone" >

        <LinearLayout
            android:id="@+id/dk_payment_cashcoupon_check_layout"
            android:layout_width="40dp"
            android:layout_height="match_parent"
            android:background="@drawable/dk_payment_method_uncheck"
            android:gravity="center_vertical"
            android:orientation="horizontal" >

            <CheckBox
                android:id="@+id/dk_cashcoupon_checkbox"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="12dp"
                android:button="@drawable/dk_payment_checkbox_bg_selector"
                android:clickable="false" />
        </LinearLayout>

        <FrameLayout
            android:id="@+id/dk_payment_cashcoupon_value_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent" >

            <LinearLayout
                android:id="@+id/dk_payment_cashcoupon_spinner"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/dk_paycenter_cashcoupon_shrink"
                android:gravity="center_vertical"
                android:orientation="horizontal" >

                <TextView
                    android:id="@+id/dk_payment_cashcoupon_select_value"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/text_size_14_dp"
                    android:text="@string/dk_cashcoupon_value_text"
                    android:textColor="@color/dk_color_333333"
                    android:textSize="@dimen/text_size_12_sp" />

                <TextView
                    android:id="@+id/dk_payment_cashcoupon_select_effic_date"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/text_size_14_dp"
                    android:text="@string/dk_cashcoupon_effic_date"
                    android:textColor="@color/dk_color_666666"
                    android:textSize="@dimen/text_size_12_sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/dk_payment_cashcoupon_popup"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/dk_color_000000"
                android:orientation="horizontal" />
        </FrameLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/dk_payment_need_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="14dp"
        android:orientation="horizontal"
        android:visibility="gone" >

        <TextView
            android:id="@+id/dk_payment_need_value"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="20dp"
            android:text="@string/dk_payment_need_value_text"
            android:textColor="@color/dk_color_f08f1e"
            android:textSize="14sp" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/dk_payment_layout_notfix_kubi"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="7dp"
        android:layout_marginRight="7dp"
        android:visibility="gone" >

        <include layout="@layout/dk_payment_notfix_kubi_layout"/>
    </LinearLayout>
    <LinearLayout
        android:id="@+id/dk_layout_kubi_pay_engough"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="10dp"
        android:layout_marginLeft="7dp"
        android:layout_marginRight="7dp"
        android:layout_marginTop="7dp"
        android:orientation="vertical"
        android:visibility="gone" >

        <LinearLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content" >

            <Button
                android:id="@+id/dk_btn_kubi_pay"
                android:layout_width="fill_parent"
                android:layout_height="40dp"
                android:layout_marginTop="7dp"
                android:background="@drawable/dk_payment_btn_orange_selector"
                android:gravity="center"
                android:text="@string/dk_payment_pay_now"
                android:textColor="#ffffff"
                android:textSize="@dimen/text_size_16_sp" >
            </Button>
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/dk_payment_layout_more_paymethods"
        android:layout_marginLeft="7dp"
        android:layout_marginRight="7dp"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone" >

        <include layout="@layout/dk_payment_layout_more_paymethods" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/dk_layout_select_other_pay"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical" >

        <RelativeLayout
            android:id="@+id/dk_tv_payment_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" >

            <TextView
                android:id="@+id/dk_tv_other_payment_method"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginBottom="10dp"
                android:gravity="center_vertical"
                android:text="@string/dk_other_pay_mode"
                android:textColor="@color/dk_color_333333"
                android:textSize="@dimen/text_size_14_sp" />

            <include
                android:id="@+id/dk_tv_other_payment_activity_hint"
                android:layout_width="170dp"
                android:layout_height="wrap_content"
                android:layout_alignBottom="@id/dk_tv_other_payment_method"
                android:layout_alignParentRight="true"
                android:layout_marginRight="14dp"
                layout="@layout/dk_payment_layout_activity_hint"
                android:visibility="gone" />
        </RelativeLayout>

        <LinearLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="2dp"
            android:layout_marginRight="2dp"
            android:layout_marginTop="10dp"
            android:orientation="vertical" >

            <com.duoku.platform.view.common.DKGridViewExtend
                android:id="@+id/dk_grid_view_other"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:columnWidth="60dp"
                android:gravity="center"
                android:horizontalSpacing="8dp"
                android:numColumns="1"
                android:stretchMode="columnWidth"
                android:verticalSpacing="8dp" >
            </com.duoku.platform.view.common.DKGridViewExtend>
        </LinearLayout>
    </LinearLayout>

</LinearLayout> <!-- The right region end int the same step end -->
